import { AdminOtpData } from '../../usecase/otpAuthUsecase';

export type OtpAuthDTOReturnType = {
  username: string;
  password: string;
  grant_type: 'otp';
};
const OtpAuthDTO = (dataToSend: AdminOtpData): OtpAuthDTOReturnType => ({
  grant_type: 'otp',
  password: dataToSend.otp,
  username: dataToSend.phonenumber,
});

export default OtpAuthDTO;
