import PlacesModel from '~/business-logic/core/places/common/model/placesModel';
import { placeTypes } from '../view/protocol';
import { createPlaceArguments } from './submiCreatePlace';

export type CreatePlaceType = {
  createPlace: (placeData: createPlaceArguments) => Promise<string>;
  inputOptions: {
    getPlaceType: () => {
      value: placeTypes;
      label: string;
    }[];
    getParentIds: (
      currentPlaceType: `${placeTypes}`,
      placesList: PlacesModel,
    ) => {
      value: string;
      label: string;
    }[];
  };
};
