import ReactDOM from 'react-dom/client';
import { UserProvider } from '~/driven/utils/helpers/contexts/userContext';
import { BrowserRouter as RouterWrapper } from 'react-router-dom';
import App from './App';

ReactDOM.createRoot(document.getElementById('root') as HTMLElement).render(
  <UserProvider>
    <RouterWrapper>
      <App />
    </RouterWrapper>
  </UserProvider>,
);
