import React from 'react';
import { Navigate, Outlet } from 'react-router-dom';
import { routes } from '~/driven/utils/configs/appConfig';
import { useUser } from '~/driven/utils/helpers/contexts/userContext';

export default function UserLoginLayout() {
  const { user } = useUser();
  if (user && user.adminUserData.accessToken) return <Navigate to={routes.usersList} replace />;
  return <Outlet />;
}
