export default {
  testEnvironment: "jsdom",
  setupFilesAfterEnv: [
    "<rootDir>/setupTests.ts"
  ],
  moduleNameMapper: {
    ".+\\.(css|styl|less|sass|scss|png|jpg|ttf|woff|woff2|svg|gif)$": "<rootDir>/fileMock.js",
    "\\.(css|less)$": "identity-obj-proxy",
    "^~(.*)$": "<rootDir>/src$1"
  },
  transformIgnorePatterns: [
    "node_modules/(?!(spacetime)/)"
  ]
}