import { HttpHandler as HttpProfileHandler } from './create-profile/data/repository/protocols';
import { HttpHandler as HttpAccountHandler } from './create-account/data/repository/protocols';
import CreateUserUsecase from './usecase/createUserUsecase';

export default interface createUserPort {
  httpAccountHandler: HttpAccountHandler;
  httpProfileHandler: HttpProfileHandler;
}

export type createUserReturnType = CreateUserUsecase;
