import { CreatePlaceType } from '../model/protocols';
import { createPlaceArguments } from '../model/submiCreatePlace';
import { PlaceFormState, placeTypes } from '../view/protocol';

export const initialPlaceFormState: PlaceFormState = {
  placeTypes: placeTypes.continent,
  placeName: '',
  parentId: { value: '', label: '' },
};

export interface ICreatePlaceVm {
  getInputOptions: CreatePlaceType['inputOptions'];
  createPlaceModel: (placeData: createPlaceArguments) => Promise<string>;
}
